Patchwork classpath: remove qt support

login
register
mail settings
Submitter Arnout Vandecappelle
Date May 12, 2013, 6:31 p.m.
Message ID <1368383504-13355-1-git-send-email-arnout@mind.be>
Download mbox | patch
Permalink /patch/243209/
State Accepted
Commit 4624567df1c5e05963ecc0f2a36299a89068ca41
Headers show

Comments

Arnout Vandecappelle - May 12, 2013, 6:31 p.m.
From: "Arnout Vandecappelle (Essensium/Mind)" <arnout@mind.be>

classpath doesn't work with Qt in buildroot. It assumes qt will run on X11,
but we don't have qt-x11 support on buildroot.

Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
---
 package/classpath/classpath.mk | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)
Peter Korsgaard - May 12, 2013, 7:04 p.m.
>>>>> "Arnout" == Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> writes:

 Arnout> From: "Arnout Vandecappelle (Essensium/Mind)" <arnout@mind.be>

 Arnout> classpath doesn't work with Qt in buildroot. It assumes qt will
 Arnout> run on X11, but we don't have qt-x11 support on buildroot.

 Arnout> Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>

Committed, thanks.

Patch

diff --git a/package/classpath/classpath.mk b/package/classpath/classpath.mk
index 2d12552..61a1034 100644
--- a/package/classpath/classpath.mk
+++ b/package/classpath/classpath.mk
@@ -8,6 +8,10 @@  CLASSPATH_CONF_OPT = \
 	--disable-gconf-peer \
 	--disable-tools
 
+# classpath assumes qt runs on top of X11, but we
+# don't support qt4 on X11
+CLASSPATH_CONF_OPT += --disable-qt-peer
+
 CLASSPATH_DEPENDENCIES = host-pkgconf
 
 ifeq ($(BR2_PACKAGE_ALSA_LIB),y)
@@ -39,13 +43,6 @@  else
 CLASSPATH_CONF_OPT += --disable-gtk-peer --disable-gstreamer-peer
 endif
 
-ifeq ($(BR2_PACKAGE_QT),y)
-CLASSPATH_CONF_OPT += --enable-qt-peer
-CLASSPATH_DEPENDENCIES += qt
-else
-CLASSPATH_CONF_OPT += --disable-qt-peer
-endif
-
 ifeq ($(BR2_PACKAGE_LIBXML2)$(BR2_PACKAGE_LIBXSLT),yy)
 CLASSPATH_CONF_OPT += --enable-xmlj
 CLASSPATH_DEPENDENCIES += libxml2 libxslt